// assign.cpp -- type changes on assignment
#include <iostream>
using namespace std;
int main()
{
    float tree = 3;     // int converted to float
    int guess = 3.9832; // float converted to int
    int debt = 3.0E12;  // result not defined in C++
    cout << "tree = " << tree << "\n";
    cout << "guess = " << guess << "\n";
    cout << "debt = " << debt << "\n";
	return 0;
}   
